(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     24870,        556]
NotebookOptionsPosition[     24394,        536]
NotebookOutlinePosition[     24848,        554]
CellTagsIndexPosition[     24805,        551]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"x", "^", "2"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"d", "=", "5"}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"f", "=", "25"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"as", "=", 
            RowBox[{"N", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"bs", "=", 
            RowBox[{"N", "[", "b", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ass", "=", 
            RowBox[{"N", "[", 
             RowBox[{"q", "/.", 
              RowBox[{"x", "\[Rule]", "a"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"bss", "=", 
            RowBox[{"N", "[", 
             RowBox[{"q", "/.", 
              RowBox[{"x", "\[Rule]", "b"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"ms", "=", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"D", "[", 
               RowBox[{"q", ",", "x"}], "]"}], "/.", 
              RowBox[{"x", "\[Rule]", "a"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"approxslope", "=", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"bss", "-", "ass"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"bs", "-", "as"}], ")"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"l", ":=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "-", "2"}], ",", 
              RowBox[{"a", "-", "1"}], ",", 
              RowBox[{"a", "-", "0.5"}], ",", 
              RowBox[{"a", "-", "0.1"}], ",", 
              RowBox[{"a", "-", "0.01"}], ",", 
              RowBox[{"a", "-", "0.001"}], ",", 
              RowBox[{"a", "-", "0.0001"}], ",", 
              RowBox[{"a", "-", "0.00001"}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"r", ":=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "+", "2"}], ",", 
              RowBox[{"a", "+", "1"}], ",", 
              RowBox[{"a", "+", "0.5"}], ",", 
              RowBox[{"a", "+", "0.1"}], ",", 
              RowBox[{"a", "+", "0.01"}], ",", 
              RowBox[{"a", "+", "0.001"}], ",", 
              RowBox[{"a", "+", "0.0001"}], ",", 
              RowBox[{"a", "+", "0.00001"}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"Grid", "[", 
             RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{"text", " ", "-", " ", 
               RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
                RowBox[{"Framed", "@", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Column", "[", 
                   RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<b = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "b", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<slope of secant line = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "approxslope", "]"}]}], 
                    "}"}], "]"}], ",", "Purple", ",", "16"}], "]"}]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                   "\[IndentingNewLine]", 
                   RowBox[{"(*", "3", "*)"}], "]"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{"plots", " ", "-", " ", 
                 RowBox[{"second", " ", "row"}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"Show", "[", 
                 RowBox[{"{", 
                  RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"Plot", "[", 
                   RowBox[{"(*", "plot", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"q", ",", 
                    RowBox[{"ass", "+", 
                    RowBox[{"ms", "*", 
                    RowBox[{"(", 
                    RowBox[{"x", "-", "as"}], ")"}]}]}], ",", " ", 
                    RowBox[{"ass", "+", 
                    RowBox[{"approxslope", "*", 
                    RowBox[{"(", 
                    RowBox[{"x", "-", "as"}], ")"}]}]}]}], "}"}], " ", ",", 
                    " ", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", " ", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", " ", "Green", ",", " ", "Red"}], 
                    "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "450"}], ",", " ", 
                    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", " ", 
                    RowBox[{"Prolog", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", ".02", "]"}], ",", "Green", ",",
                     " ", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"as", ",", "ass"}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", ".02", "]"}], ",", " ", "Red", 
                    ",", " ", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"bs", ",", "bss"}], "}"}], "]"}]}], "}"}]}], 
                    "}"}]}]}], "\[IndentingNewLine]", 
                   RowBox[{"(*", "plot", "*)"}], "]"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", "show", "*)"}], "}"}], "]"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
              RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
             RowBox[{"(*", "0", "*)"}], "]"}], "]"}]}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "2", ",", "\"\<a\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", " ", "1", ",", "2", ",", "3", ",", "4"}], 
             "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2", "-", "2"}], ",", 
              RowBox[{"2", "-", "1"}], ",", 
              RowBox[{"2", "-", "0.5"}], ",", 
              RowBox[{"2", "-", "0.1"}], ",", 
              RowBox[{"2", "-", "0.01"}], ",", 
              RowBox[{"2", "-", "0.001"}], ",", 
              RowBox[{"2", "-", "0.0001"}], ",", 
              RowBox[{"2", "-", "0.00001"}]}], "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"Dynamic", "[", "l", "]"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"Dynamic", "[", "r", "]"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, {
   3.555955138707622*^9, 3.5559552049203777`*^9}, 3.5674239517562313`*^9, 
   3.56742427360989*^9}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`x^2, $CellContext`c$$ = \
-5, $CellContext`d$$ = 5, $CellContext`e$$ = -5, $CellContext`f$$ = 25}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`e$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`f$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[$CellContext`as = N[$CellContext`a]; $CellContext`bs = 
           N[$CellContext`b]; $CellContext`ass = N[
             
             ReplaceAll[$CellContext`q$$, $CellContext`x -> $CellContext`a]]; \
$CellContext`bss = N[
             
             ReplaceAll[$CellContext`q$$, $CellContext`x -> $CellContext`b]]; \
$CellContext`ms = N[
             ReplaceAll[
              
              D[$CellContext`q$$, $CellContext`x], $CellContext`x -> \
$CellContext`a]]; $CellContext`approxslope = 
           N[($CellContext`bss - $CellContext`ass)/($CellContext`bs - \
$CellContext`as)]; $CellContext`l := {$CellContext`a - 2, $CellContext`a - 
             1, $CellContext`a - 0.5, $CellContext`a - 0.1, $CellContext`a - 
             0.01, $CellContext`a - 0.001, $CellContext`a - 
             0.0001, $CellContext`a - 
             0.00001}; $CellContext`r := {$CellContext`a + 2, $CellContext`a + 
             1, $CellContext`a + 0.5, $CellContext`a + 0.1, $CellContext`a + 
             0.01, $CellContext`a + 0.001, $CellContext`a + 
             0.0001, $CellContext`a + 0.00001}; Dynamic[
            Grid[{{
               Framed[
                Text[
                 Column[{
                   Style[
                    Row[{"f(x) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16], 
                   Style[
                    Row[{"a = ", 
                    TraditionalForm[$CellContext`a]}], Black, 16], 
                   Style[
                    Row[{"b = ", 
                    TraditionalForm[$CellContext`b]}], Black, 16], 
                   Style[
                    Row[{"slope of secant line = ", 
                    TraditionalForm[$CellContext`approxslope]}], Purple, 16]},
                   Alignment -> Center]]]}, {
               Show[{
                 
                 Plot[{$CellContext`q$$, $CellContext`ass + $CellContext`ms \
($CellContext`x - $CellContext`as), $CellContext`ass + \
$CellContext`approxslope ($CellContext`x - $CellContext`as)}, \
{$CellContext`x, $CellContext`c$$, $CellContext`d$$}, 
                  PlotStyle -> {Blue, Green, Red}, 
                  PlotRange -> {$CellContext`e$$, $CellContext`f$$}, 
                  ImageSize -> 450, AspectRatio -> 1, Prolog -> {{
                    PointSize[0.02], Green, 
                    Point[{$CellContext`as, $CellContext`ass}]}, {
                    PointSize[0.02], Red, 
                    
                    Point[{$CellContext`bs, $CellContext`bss}]}}]}]}}]], \
{{$CellContext`a, 2, "a"}, {0, 1, 2, 3, 4}, ControlType -> 
           Setter}, {$CellContext`b, {
           2 - 2, 2 - 1, 2 - 0.5, 2 - 0.1, 2 - 0.01, 2 - 0.001, 2 - 0.0001, 2 - 
            0.00001}, ControlType -> None}, {$CellContext`b, 
           Dynamic[$CellContext`l], ControlType -> Setter}, {$CellContext`b, 
           Dynamic[$CellContext`r], ControlType -> Setter}, 
          AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{614., {420., 426.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{{3.555928930991829*^9, 3.555928954784794*^9}, 
   3.5559292037770033`*^9, 3.5559382131475267`*^9, 3.555938244925846*^9, 
   3.555938323049315*^9, 3.5559384002941017`*^9, 3.555938431802312*^9, 
   3.5559385857601967`*^9, 3.55593864284724*^9, 3.5559387784309196`*^9, {
   3.555938808849345*^9, 3.555938849232975*^9}, 3.5559389246273413`*^9, 
   3.555939045963923*^9, 3.555939098577827*^9, 3.555939162276883*^9, 
   3.5559392985047083`*^9, 3.555939346702985*^9, 3.555940564663632*^9, 
   3.5559406952421837`*^9, {3.555940727477477*^9, 3.55594080014065*^9}, 
   3.555940842125005*^9, 3.555940921739141*^9, {3.5559409788954887`*^9, 
   3.55594101071284*^9}, 3.555954928801971*^9, 3.555955150588694*^9, 
   3.55595520892981*^9, 3.555955359643311*^9, 3.555972934074053*^9, 
   3.556013131350937*^9, 3.5592376666316223`*^9, 3.567423187483099*^9, 
   3.56742427689886*^9, 3.5674250383631687`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Secant Lines Demo\>\"", "\[IndentingNewLine]", 
   RowBox[{
   "THIS", " ", "NOTEBOOK", " ", "IS", " ", "A", " ", "MODIFIED", " ", 
    "VERSION", " ", "OF"}], "\n", "\"\<Secant Approximations\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{"from", " ", 
    ButtonBox[
     RowBox[{"the", " ", "Wolfram", " ", "Demonstrations", " ", "Project"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/"], None},
     ButtonNote->"http://demonstrations.wolfram.com/"]}], 
   "\[IndentingNewLine]", "\[NonBreakingSpace]\[NonBreakingSpace]", 
   ButtonBox[
    RowBox[{
     RowBox[{"http", ":"}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"demonstrations", ".", "wolfram", ".", "com"}], "/", 
       "SecantApproximations"}], "/"}]}],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["http://demonstrations.wolfram.com/SecantApproximations/"], None},
    ButtonNote->"http://demonstrations.wolfram.com/SecantApproximations/"], 
   "\n", 
   RowBox[{"Contributed", " ", 
    RowBox[{"by", ":", " ", 
     ButtonBox[
      RowBox[{"Chris", " ", "Boucher"}],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
         None},
      ButtonNote->
       "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]}]\
}], "\[IndentingNewLine]", 
   RowBox[{"Modified", " ", 
    RowBox[{"by", ":", " ", 
     ButtonBox[
      RowBox[{"Ethan", " ", "Bloch"}],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
        None},
      ButtonNote->
       "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}\
]}]], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, 3.554645979032176*^9, {
   3.5546460222225246`*^9, 3.554646054791726*^9}, {3.559237580841009*^9, 
   3.559237581614252*^9}, 3.5674231743831663`*^9}]
},
WindowSize->{1032, 972},
WindowMargins->{{90, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 15357, 321, 1174, "Input"],
Cell[15939, 345, 6157, 129, 1032, "Output"]
}, Open  ]],
Cell[22111, 477, 2279, 57, 205, "Input"]
}
]
*)

(* End of internal cache information *)
